Community
Civil 3D Customization
Welcome to Autodesk’s AutoCAD Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Get Table Info

11 REPLIES 11
Reply
Message 1 of 12
david_garrigues
519 Views, 11 Replies

Get Table Info

david_garrigues
Advocate
Advocate
Hey Everyone,

I have created a volume surface and an accompanying elevation table. I want to extract out the tables information. However, it seems that I cannot get to the object. Help?

(setq ent_source (car (entsel "\nSelect Source Object: ")))
(setq obj_source (vlax-Ename->Vla-Object ent_source))
(setq obj_analysis (vlax-get obj_source 'SurfaceAnalysis))
(setq obj_ElevationAnalysis (vlax-get obj_analysis 'ElevationAnalysis))
(setq obj_ElevationRegions (vlax-get obj_ElevationAnalysis 'ElevationRegions))
(vlax-dump-object obj_ElevationRegions)

RETURNS
; Property values:
; Count (RO) = 10
; Item (RO) = ...Indexed contents not shown...

How do I cycle through the ten in the list and get their values for each column?

I was thinking (vla-item obj_ElevationRegions ?) but I don't know what to search for.
Help?

Thanks
dg
0 Likes

Get Table Info

Hey Everyone,

I have created a volume surface and an accompanying elevation table. I want to extract out the tables information. However, it seems that I cannot get to the object. Help?

(setq ent_source (car (entsel "\nSelect Source Object: ")))
(setq obj_source (vlax-Ename->Vla-Object ent_source))
(setq obj_analysis (vlax-get obj_source 'SurfaceAnalysis))
(setq obj_ElevationAnalysis (vlax-get obj_analysis 'ElevationAnalysis))
(setq obj_ElevationRegions (vlax-get obj_ElevationAnalysis 'ElevationRegions))
(vlax-dump-object obj_ElevationRegions)

RETURNS
; Property values:
; Count (RO) = 10
; Item (RO) = ...Indexed contents not shown...

How do I cycle through the ten in the list and get their values for each column?

I was thinking (vla-item obj_ElevationRegions ?) but I don't know what to search for.
Help?

Thanks
dg
11 REPLIES 11
Message 2 of 12

Civil3DReminders_com
Mentor
Mentor
I don't think you can get the areas, but you can get the maximum and minimum elevations of the individual regions using the ElevationRegion object (AeccElevationRegion), MaximumElevation and MinimumElevation. I don't do LISP so I couldn't tell you how to get them.
Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Alumni
0 Likes

I don't think you can get the areas, but you can get the maximum and minimum elevations of the individual regions using the ElevationRegion object (AeccElevationRegion), MaximumElevation and MinimumElevation. I don't do LISP so I couldn't tell you how to get them.
Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Alumni
Message 3 of 12
Sinc
in reply to: david_garrigues

Sinc
Advisor
Advisor
I think Jeff might be the only one who knows much about using Lisp with Civil 3D.

Hey Jeff, you might even be the World's Greatest Expert on that subject! How does it feel to be "the World's Greatest" at something? 🙂

-- Sinc
http://www.ejsurveying.com
http://www.quuxsoft.com
Sinc
0 Likes

I think Jeff might be the only one who knows much about using Lisp with Civil 3D.

Hey Jeff, you might even be the World's Greatest Expert on that subject! How does it feel to be "the World's Greatest" at something? 🙂

-- Sinc
http://www.ejsurveying.com
http://www.quuxsoft.com
Sinc
Message 4 of 12
Anonymous
in reply to: david_garrigues

Anonymous
Not applicable

LOL.... let me bask in the limelight for a minute...OK that's
enough.

 

Thanks for the laugh, Sinc....and the acknowledgement.


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
I
think Jeff might be the only one who knows much about using Lisp with Civil
3D. Hey Jeff, you might even be the World's Greatest Expert on that subject!
How does it feel to be "the World's Greatest" at something? 🙂 -- Sinc
http://www.ejsurveying.com http://www.quuxsoft.com
0 Likes


LOL.... let me bask in the limelight for a minute...OK that's
enough.

 

Thanks for the laugh, Sinc....and the acknowledgement.


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
I
think Jeff might be the only one who knows much about using Lisp with Civil
3D. Hey Jeff, you might even be the World's Greatest Expert on that subject!
How does it feel to be "the World's Greatest" at something? 🙂 -- Sinc
http://www.ejsurveying.com http://www.quuxsoft.com
Message 5 of 12
Anonymous
in reply to: david_garrigues

Anonymous
Not applicable

I'm not sure why, but in my only drawing that I have a Volume
surface with a Table, I cannot get any C3D properties or methods to work
with the surface. The object returned is just an AcadEntity, even though the
ObjectName clearly says it is a AeccSurfaceTin.

 

Nonetheless, as Christopher points out, you cannot get the
areas as shown in the tables. Maybe in a future version we will get some more
functionality to the API. Once I figure out why I can't get to the objects I'll
see what else I can do.

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hey
Everyone, I have created a volume surface and an accompanying elevation table.
I want to extract out the tables information. However, it seems that I cannot
get to the object. Help? (setq ent_source (car (entsel "\nSelect Source
Object: "))) (setq obj_source (vlax-Ename->Vla-Object ent_source)) (setq
obj_analysis (vlax-get obj_source 'SurfaceAnalysis)) (setq
obj_ElevationAnalysis (vlax-get obj_analysis 'ElevationAnalysis)) (setq
obj_ElevationRegions (vlax-get obj_ElevationAnalysis 'ElevationRegions))
(vlax-dump-object obj_ElevationRegions) RETURNS ; Property values: ; Count
(RO) = 10 ; Item (RO) = ...Indexed contents not shown... How do I cycle
through the ten in the list and get their values for each column? I was
thinking (vla-item obj_ElevationRegions ?) but I don't know what to search
for. Help? Thanks dg
0 Likes


I'm not sure why, but in my only drawing that I have a Volume
surface with a Table, I cannot get any C3D properties or methods to work
with the surface. The object returned is just an AcadEntity, even though the
ObjectName clearly says it is a AeccSurfaceTin.

 

Nonetheless, as Christopher points out, you cannot get the
areas as shown in the tables. Maybe in a future version we will get some more
functionality to the API. Once I figure out why I can't get to the objects I'll
see what else I can do.

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hey
Everyone, I have created a volume surface and an accompanying elevation table.
I want to extract out the tables information. However, it seems that I cannot
get to the object. Help? (setq ent_source (car (entsel "\nSelect Source
Object: "))) (setq obj_source (vlax-Ename->Vla-Object ent_source)) (setq
obj_analysis (vlax-get obj_source 'SurfaceAnalysis)) (setq
obj_ElevationAnalysis (vlax-get obj_analysis 'ElevationAnalysis)) (setq
obj_ElevationRegions (vlax-get obj_ElevationAnalysis 'ElevationRegions))
(vlax-dump-object obj_ElevationRegions) RETURNS ; Property values: ; Count
(RO) = 10 ; Item (RO) = ...Indexed contents not shown... How do I cycle
through the ten in the list and get their values for each column? I was
thinking (vla-item obj_ElevationRegions ?) but I don't know what to search
for. Help? Thanks dg
Message 6 of 12
Anonymous
in reply to: david_garrigues

Anonymous
Not applicable

OK, so I know why it wasn't working for me......anyway, here's
how to cycle through all of the ElevationRegions and return 2 list of the MIn
& Max eleavtion of each region:

 

(vlax-for itm obj_ElevationRegions
  (setq minlist
(cons (vlax-get-property itm 'minimumelevation)
minlist)
           maxlist
(cons (vlax-get-property itm 'maximumelevation)
maxlist)
         )
 
)

 

But, again, those are the only 2 properties exposed in the
API.

 

Jeff

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
"Jeff Mishler" <miffATsonicDOTnet> wrote in message
href="news:6118743@discussion.autodesk.com">news:6118743@discussion.autodesk.com
...


I'm not sure why, but in my only drawing that I have a
Volume surface with a Table, I cannot get any C3D properties or methods
to work with the surface. The object returned is just an AcadEntity, even
though the ObjectName clearly says it is a AeccSurfaceTin.

 

Nonetheless, as Christopher points out, you cannot get the
areas as shown in the tables. Maybe in a future version we will get some more
functionality to the API. Once I figure out why I can't get to the objects
I'll see what else I can do.

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hey
Everyone, I have created a volume surface and an accompanying elevation
table. I want to extract out the tables information. However, it seems that
I cannot get to the object. Help? (setq ent_source (car (entsel "\nSelect
Source Object: "))) (setq obj_source (vlax-Ename->Vla-Object ent_source))
(setq obj_analysis (vlax-get obj_source 'SurfaceAnalysis)) (setq
obj_ElevationAnalysis (vlax-get obj_analysis 'ElevationAnalysis)) (setq
obj_ElevationRegions (vlax-get obj_ElevationAnalysis 'ElevationRegions))
(vlax-dump-object obj_ElevationRegions) RETURNS ; Property values: ; Count
(RO) = 10 ; Item (RO) = ...Indexed contents not shown... How do I cycle
through the ten in the list and get their values for each column? I was
thinking (vla-item obj_ElevationRegions ?) but I don't know what to search
for. Help? Thanks dg
0 Likes


OK, so I know why it wasn't working for me......anyway, here's
how to cycle through all of the ElevationRegions and return 2 list of the MIn
& Max eleavtion of each region:

 

(vlax-for itm obj_ElevationRegions
  (setq minlist
(cons (vlax-get-property itm 'minimumelevation)
minlist)
           maxlist
(cons (vlax-get-property itm 'maximumelevation)
maxlist)
         )
 
)

 

But, again, those are the only 2 properties exposed in the
API.

 

Jeff

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
"Jeff Mishler" <miffATsonicDOTnet> wrote in message
href="news:6118743@discussion.autodesk.com">news:6118743@discussion.autodesk.com
...


I'm not sure why, but in my only drawing that I have a
Volume surface with a Table, I cannot get any C3D properties or methods
to work with the surface. The object returned is just an AcadEntity, even
though the ObjectName clearly says it is a AeccSurfaceTin.

 

Nonetheless, as Christopher points out, you cannot get the
areas as shown in the tables. Maybe in a future version we will get some more
functionality to the API. Once I figure out why I can't get to the objects
I'll see what else I can do.

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hey
Everyone, I have created a volume surface and an accompanying elevation
table. I want to extract out the tables information. However, it seems that
I cannot get to the object. Help? (setq ent_source (car (entsel "\nSelect
Source Object: "))) (setq obj_source (vlax-Ename->Vla-Object ent_source))
(setq obj_analysis (vlax-get obj_source 'SurfaceAnalysis)) (setq
obj_ElevationAnalysis (vlax-get obj_analysis 'ElevationAnalysis)) (setq
obj_ElevationRegions (vlax-get obj_ElevationAnalysis 'ElevationRegions))
(vlax-dump-object obj_ElevationRegions) RETURNS ; Property values: ; Count
(RO) = 10 ; Item (RO) = ...Indexed contents not shown... How do I cycle
through the ten in the list and get their values for each column? I was
thinking (vla-item obj_ElevationRegions ?) but I don't know what to search
for. Help? Thanks dg
Message 7 of 12

david_garrigues
Advocate
Advocate
Thank you for heading me off at the pass. It would have been only a matter of time before I had to come back and ask how do I get the areas. I don't think my stomach can to many more Excedrins. 🙂


Thanks guys!

dg
0 Likes

Thank you for heading me off at the pass. It would have been only a matter of time before I had to come back and ask how do I get the areas. I don't think my stomach can to many more Excedrins. 🙂


Thanks guys!

dg
Message 8 of 12

Civil3DReminders_com
Mentor
Mentor
You can derive the areas from the OutputTriangles property of the tin surface using the min/max values of the region. Would take some if then statements and geometry if the elevation region split the tin triangle.
Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Alumni
0 Likes

You can derive the areas from the OutputTriangles property of the tin surface using the min/max values of the region. Would take some if then statements and geometry if the elevation region split the tin triangle.
Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Alumni
Message 9 of 12
Anonymous
in reply to: david_garrigues

Anonymous
Not applicable

For those that don't know who David is, he is the
number one Civil 3D speaker to EVER teach at AU.  Not only is he good, he
is hilarious.

 

Now I am assuming this is the correct David, how
many David Garrigues's can there be?

 

<G>

 

Bill


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Thank
you for heading me off at the pass. It would have been only a matter of time
before I had to come back and ask how do I get the areas. I don't think my
stomach can to many more Excedrins. 🙂 Thanks guys!
dg
0 Likes


For those that don't know who David is, he is the
number one Civil 3D speaker to EVER teach at AU.  Not only is he good, he
is hilarious.

 

Now I am assuming this is the correct David, how
many David Garrigues's can there be?

 

<G>

 

Bill


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Thank
you for heading me off at the pass. It would have been only a matter of time
before I had to come back and ask how do I get the areas. I don't think my
stomach can to many more Excedrins. 🙂 Thanks guys!
dg
Message 10 of 12
Anonymous
in reply to: david_garrigues

Anonymous
Not applicable

Based on his discussion group login, I'm guessing this one was
the 5269th to sign up here. 😄 So there must be a whole bunch of
'em!


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">


For those that don't know who David is, he is the
number one Civil 3D speaker to EVER teach at AU.  Not only is he good, he
is hilarious.

 

Now I am assuming this is the correct David, how
many David Garrigues's can there be?


size=2>
 
0 Likes


Based on his discussion group login, I'm guessing this one was
the 5269th to sign up here. 😄 So there must be a whole bunch of
'em!


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">


For those that don't know who David is, he is the
number one Civil 3D speaker to EVER teach at AU.  Not only is he good, he
is hilarious.

 

Now I am assuming this is the correct David, how
many David Garrigues's can there be?


size=2>
 
Message 11 of 12

david_garrigues
Advocate
Advocate
That would be scary. But you know what is bad. If you really knew me you would know that I would not have the number 69 in my name, I would have numbers like 3,7,40. That is something that Autodesk did a while back when I worked in the channel and I have no clue on how to change it. I am also skeered too just cause I have seen to many other things flake out on me.

As far as AU goes it is always a pleasure to serve at AU I am glad you enjoyed it and thanks for the props :-). If were not for Putnam, Albert, and Lewis believe me it would not be the same. I really feel like the Verizon guy I have a whole bunch of people behind me...I am just the face guy.

Be Good
ET
0 Likes

That would be scary. But you know what is bad. If you really knew me you would know that I would not have the number 69 in my name, I would have numbers like 3,7,40. That is something that Autodesk did a while back when I worked in the channel and I have no clue on how to change it. I am also skeered too just cause I have seen to many other things flake out on me.

As far as AU goes it is always a pleasure to serve at AU I am glad you enjoyed it and thanks for the props :-). If were not for Putnam, Albert, and Lewis believe me it would not be the same. I really feel like the Verizon guy I have a whole bunch of people behind me...I am just the face guy.

Be Good
ET
Message 12 of 12

Civil3DReminders_com
Mentor
Mentor


I thought it was great you were such a great speaker until I had to follow you at AU07, then I wished you weren't so good;)

Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Alumni
0 Likes


I thought it was great you were such a great speaker until I had to follow you at AU07, then I wished you weren't so good;)

Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Alumni

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


Autodesk Design & Make Report